Subject: [netatalk-admins] Printing from Unix to Mac with Solaris Netatalk

From: Julyan Cartwright <[email-masked]>
Date: Fri, 17 Oct 97 17:07:17 METDST

Hi,
	I want to use Netatalk running under Solaris 2.6 to act as a print
server for Unix boxes - to allow Unix people to print on Mac printers. Can I
do this with the current 1.4b release? I have Netatalk up and running on the
Sun, but I can't find any information on how to handle the printing - all
the documentation I've found refers to /etc/printcap for the Linux version.
Any help would be appreciated! 
Thanks,	
	Julyan

--
Julyan Cartwright                   Email [email-masked]
Computer Centre                     WWW   http://formentor.uib.es/~julyan/
University of the Balearic Islands  Tel   (+34 71) 172893
07071 Palma de Mallorca, Spain      Fax   (+34 71) 173426

---

From: Tim Buller <[email-masked]>
Date: Fri, 17 Oct 1997 10:45:59 -0500 (CDT)

Julian wrote:

> server for Unix boxes - to allow Unix people to print on Mac printers.
> Can I do this with the current 1.4b release? I have Netatalk up and
> running on the Sun, but I can't find any information on how to handle
> the printing - all the documentation I've found refers to /etc/printcap
> for the Linux version.  Any help would be appreciated! 

Julian-
	I append a message that dealt with this topic a few weeks ago.
Note that I have not implemented this, but it looks like it should work...

	Tim

====
Tim Buller                                       [email-masked]
Systems Specialist                       Snow Hall 643, (785) 864-7311
Department of Mathematics     University of Kansas, Lawrence, KS 66045

---------- Forwarded message ----------
Date: Thu, 25 Sep 1997 08:52:09 -0500
From: Tim Rand <[email-masked]>
To: Tim Buller <[email-masked]>
Cc: [email-masked]
Subject: Re: [netatalk-admins] A different problem

 >I've also been trying to install 1.4b2 on a Solaris 2.5.1 machine with the
 >4.3 BSD lpr stack compiled from source (put together by Doug Hughes).
 >

Tim,

I am using Solaris 2.5.1 and printing through the "pipe" support in the
print queuing.  My papd.conf file contains:

 >QMS 2000 Spool:\
 >     :pr=|/usr/bin/lp:op=operator:pd=/usr/share/lib/ppd/QMS2000.PPD:

This seems to work just fine and should work for you.  Try it.

Note the PIPE character "|" is the first character in the pr= string.